import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
import * as chart from '@mescius/wijmo.chart';
import * as input from '@mescius/wijmo.input';
import * as animation from '@mescius/wijmo.chart.animation';
import { getData, getRandomData, getRandomValue } from './data';
document.readyState === 'complete' ? init() : window.onload = init;
function init() {
var flexChartPoints = 10;
// create FlexChart, InputNumbers and Menus
var flexChart = new chart.FlexChart('#theChart'), chartType = new input.Menu('#chartType'), chartAnimationMode = new input.Menu('#chartAnimationMode'), chartEasing = new input.Menu('#chartEasing'), chartDuration = new input.InputNumber('#chartDuration'), chartAddMenu = new input.Menu('#chartAddMenu'), chartRemoveMenu = new input.Menu('#chartRemoveMenu');
// flex chart
flexChart.beginUpdate();
flexChart.chartType = chart.ChartType.Line;
flexChart.itemsSource = getData(flexChartPoints);
flexChart.bindingX = 'x';
// create data series
for (var i = 0; i < 3; i++) {
var series = new chart.Series();
series.binding = 'y' + i;
series.name = 'Y' + (i + 1);
flexChart.series.push(series);
}
flexChart.endUpdate();
var chartAnimation = new animation.ChartAnimation(flexChart, {
animationMode: animation.AnimationMode.All,
easing: animation.Easing.Swing,
duration: 400
});
// Chart Type
chartType.selectedValue = 'Line';
chartType.textChanged.addHandler((sender) => {
if (!sender.selectedValue)
return;
flexChart.chartType = chart.ChartType[sender.selectedValue];
updateMenuHeader(chartType, '<b>ChartType</b>: ', sender.text);
});
updateMenuHeader(chartType, '<b>ChartType</b>: ', chartType.text);
// Chart Animation Mode
chartAnimationMode.selectedValue = 'All';
chartAnimationMode.textChanged.addHandler((sender) => {
if (!sender.selectedValue)
return;
const mode = animation.AnimationMode[sender.selectedValue];
if (chartAnimation.animationMode !== mode) {
chartAnimation.animationMode = mode;
chartAnimation.animate();
updateMenuHeader(chartAnimationMode, '<b>Animation Mode</b>: ', sender.text);
}
});
updateMenuHeader(chartAnimationMode, '<b>Animation Mode</b>: ', chartAnimationMode.text);
// Chart Easing
chartEasing.selectedValue = 'Swing';
chartEasing.textChanged.addHandler((sender) => {
if (!sender.selectedValue)
return;
const easing = animation.Easing[sender.selectedValue];
if (chartAnimation.easing !== easing) {
chartAnimation.easing = easing;
chartAnimation.animate();
updateMenuHeader(chartEasing, '<b>Easing</b>: ', sender.text);
}
});
updateMenuHeader(chartEasing, '<b>Easing</b>: ', chartEasing.text);
// Chart Duration
chartDuration.value = 400;
chartDuration.min = 200;
chartDuration.max = 5000;
chartDuration.step = 200;
chartDuration.format = 'n0';
chartDuration.valueChanged.addHandler((sender) => {
if (sender.value < sender.min || sender.value > sender.max) {
return;
}
chartAnimation.duration = sender.value;
chartAnimation.animate();
});
// Chart Reset Data
document.getElementById('chartResetData').addEventListener('click', () => {
if (flexChart) {
flexChart.itemsSource = getData(flexChartPoints);
}
});
// Chart Adds
chartAddMenu.itemClicked.addHandler((sender) => {
if (!sender.selectedValue)
return;
chartChange[sender.selectedValue]();
});
updateMenuHeader(chartAddMenu, 'Add', '');
// Chart Removes
chartRemoveMenu.itemClicked.addHandler((sender) => {
if (!sender.selectedValue)
return;
chartChange[sender.selectedValue]();
});
updateMenuHeader(chartRemoveMenu, 'Remove', '');
var chartChange = {
addSeries: () => {
var len = flexChart.series.length;
if (len >= 5) {
return;
}
var series = new chart.Series();
series.binding = 'y' + len;
series.name = 'Y' + (len + 1);
flexChart.series.push(series);
},
addFirstPoint: () => {
flexChart.itemsSource.insert(0, getRandomData('added' + getRandomValue(1000)));
},
addLastPoint: () => {
flexChart.itemsSource.push(getRandomData('added' + getRandomValue(1000)));
},
removeSeries: () => {
if (flexChart.series.length <= 0) {
return;
}
flexChart.series.pop();
},
removeFirstPoint: () => {
if (flexChart.itemsSource.length) {
flexChart.itemsSource.removeAt(0);
}
},
removeLastPoint: () => {
if (flexChart.itemsSource.length) {
flexChart.itemsSource.pop();
}
}
};
}
function updateMenuHeader(menu, prefix, text) {
menu.header = prefix + text;
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexChart Animation</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div class="container-fluid well">
<div class="row">
<div class="col-sm-12 col-xs-12">
<select id="chartType">
<option value="Bar">Bar</option>
<option value="Column">Column</option>
<option value="Area">Area</option>
<option value="Line">Line</option>
<option value="LineSymbols">LineSymbols</option>
<option value="Spline">Spline</option>
<option value="SplineSymbols">SplineSymbols</option>
<option value="SplineArea">SplineArea</option>
<option value="Scatter">Scatter</option>
</select>
<select id="chartAnimationMode">
<option value="Point">Point</option>
<option value="Series">Series</option>
<option value="All">All</option>
</select>
<select id="chartEasing">
<option value="Linear">Linear</option>
<option value="Swing">Swing</option>
<option value="EaseInQuad">EaseInQuad</option>
<option value="EaseOutQuad">EaseOutQuad</option>
<option value="EaseInOutQuad">EaseInOutQuad</option>
<option value="EaseInCubic">EaseInCubic</option>
<option value="EaseOutCubic">EaseOutCubic</option>
<option value="EaseInOutCubic">EaseInOutCubic</option>
<option value="EaseInQuart">EaseInQuart</option>
<option value="EaseOutQuart">EaseOutQuart</option>
<option value="EaseInOutQuart">EaseInOutQuart</option>
<option value="EaseInQuint">EaseInQuint</option>
<option value="EaseOutQuint">EaseOutQuint</option>
<option value="EaseInOutQuint">EaseInOutQuint</option>
<option value="EaseInSine">EaseInSine</option>
<option value="EaseOutSine">EaseOutSine</option>
<option value="EaseInOutSine">EaseInOutSine</option>
<option value="EaseInExpo">EaseInExpo</option>
<option value="EaseOutExpo">EaseOutExpo</option>
<option value="EaseInOutExpo">EaseInOutExpo</option>
<option value="EaseInCirc">EaseInCirc</option>
<option value="EaseOutCirc">EaseOutCirc</option>
<option value="EaseInOutCirc">EaseInOutCirc</option>
<option value="EaseInBack">EaseInBack</option>
<option value="EaseOutBack">EaseOutBack</option>
<option value="EaseInOutBack">EaseInOutBack</option>
<option value="EaseInBounce">EaseInBounce</option>
<option value="EaseOutBounce">EaseOutBounce</option>
<option value="EaseInOutBounce">EaseInOutBounce</option>
<option value="EaseInElastic">EaseInElastic</option>
<option value="EaseOutElastic">EaseOutElastic</option>
<option value="EaseInOutElastic">EaseInOutElastic</option>
</select>
<label id="chartLabelDuration" for="chartDuration">Duration:</label>
<input id="chartDuration" />
</div>
</div>
<div class="row">
<div class="col-sm-12 col-xs-12 flexchart">
<button id="chartResetData" type="button" class="btn btn-default">reset data</button>
<select id="chartAddMenu">
<option value="addSeries">Add Series</option>
<option value="addFirstPoint">Add First Point</option>
<option value="addLastPoint">Add Last Point</option>
</select>
<select id="chartRemoveMenu">
<option value="removeSeries">Remove Series</option>
<option value="removeFirstPoint">Remove First Point</option>
<option value="removeLastPoint">Remove Last Point</option>
</select>
</div>
</div>
</div>
<div id="theChart"></div>
</div>
</body>
</html>
import * as core from '@mescius/wijmo';
// generate some random data
export function getData(numCount) {
var data = new core.ObservableArray();
//
for (var i = 0; i < numCount; i++) {
data.push(getRandomData('random' + getRandomValue(1000)));
}
return data;
}
//
export function getRandomData(idx) {
return {
//x: getRandomValue(100),
x: idx,
y0: getRandomValue(200),
y1: getRandomValue(400),
y2: getRandomValue(600),
y3: getRandomValue(800),
y4: getRandomValue(1000)
};
}
//
export function getRandomValue(max) {
return Math.round(Math.random() * max);
}
.wj-flexgrid {
height: 150px;
margin-top:10px;
}
.wj-flexchart {
height: 300px;
}
.wj-data-label {
font-size: 75%;
opacity: .9;
}
label {
width: 150px;
text-align: right;
}
.wj-control {
margin-bottom: 3px;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.50-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js',
},
node_modules: {
defaultExtension: 'js',
},
},
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import '@angular/compiler';
import { Component, Inject, enableProdMode, ViewChild, ɵresolveComponentResources } from '@angular/core';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
import { WjChartModule } from '@mescius/wijmo.angular2.chart';
import { WjChartAnimationModule } from '@mescius/wijmo.angular2.chart.animation';
import { DataService } from './app.data';
import * as wjInput from '@mescius/wijmo.input';
import * as wjChart from '@mescius/wijmo.chart';
import * as wjChartAnimation from '@mescius/wijmo.chart.animation';
//
@Component({
standalone: true,
providers: [DataService],
imports: [FormsModule, WjInputModule, WjChartModule, WjChartAnimationModule, BrowserModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
data: any[];
flexChartPoints: number;
duration: number;
chartType: string;
easing: string;
animationMode: string;
// references control in the view
@ViewChild('flexChart', { static: true }) flexChart: wjChart.FlexChart;
@ViewChild('animation', { static: true }) animation: wjChartAnimation.ChartAnimation;
//
constructor(@Inject(DataService) private dataService: DataService) {
this.flexChartPoints = 10;
this._setDataSource();
this.duration = 400;
this.chartType = 'Line';
this.easing = 'Swing';
this.animationMode = 'All';
}
//
_setDataSource() {
this.data = this.dataService.getData(this.flexChartPoints);
}
//
resetChartData() {
this._setDataSource();
}
//
itemAdd(args: wjInput.Menu) {
var idx = args.selectedIndex;
if (idx > -1) {
this.func('add', idx);
}
}
itemRemove(args: wjInput.Menu) {
var idx = args.selectedIndex;
if (idx > -1) {
this.func('remove', idx);
}
}
func(oper: string, idx: number) {
var str = '',
funcName;
if (idx === 1) {
str = 'FirstPoint';
} else if (idx === 2) {
str = 'LastPoint';
}
funcName = oper + 'ChartSeries' + str;
this[funcName]();
}
addChartSeriesFirstPoint = function () {
this.data.insert(0, this.dataService.getRandomData('added' + this.dataService.getRandomValue(1000)));
};
addChartSeriesLastPoint = function () {
this.data.push(this.dataService.getRandomData('added' + this.dataService.getRandomValue(1000)));
};
removeChartSeriesFirstPoint = function () {
if (this.data.length) {
this.data.removeAt(0);
}
};
removeChartSeriesLastPoint = function () {
if (this.data.length) {
this.data.pop();
}
};
valueChanged = (sender: wjInput.InputNumber) => {
if (sender.value < sender.min || sender.value > sender.max) {
return;
}
this.duration = sender.value;
};
addChartSeries = function () {
var chart = this.flexChart,
len = chart.series.length;
if (len >= 5) {
return;
}
var series = new wjChart.Series();
series.binding = 'y' + len;
series.name = 'Y' + (chart.series.length + 1);
chart.series.push(series);
};
removeChartSeries = function () {
var chart = this.flexChart;
if (chart.series.length <= 0) {
return;
}
chart.series.pop();
};
animationModeChanged() {
this.animation.animationMode = <any>this.animationMode;
this.flexChart.refresh(true);
}
}
//
//
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexChart Animation</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="container-fluid">
<div class="form-group">
<div class="container-fluid well">
<div class="row">
<div class="col-sm-12 col-xs-12">
<wj-menu [(value)]="chartType" header="Chart type">
<wj-menu-item value="Bar">Bar</wj-menu-item>
<wj-menu-item value="Column">Column</wj-menu-item>
<wj-menu-item value="Area">Area</wj-menu-item>
<wj-menu-item value="Line">Line</wj-menu-item>
<wj-menu-item value="LineSymbols">LineSymbols</wj-menu-item>
<wj-menu-item value="Spline">Spline</wj-menu-item>
<wj-menu-item value="SplineSymbols">SplineSymbols</wj-menu-item>
<wj-menu-item value="SplineArea">SplineArea</wj-menu-item>
<wj-menu-item value="Scatter">Scatter</wj-menu-item>
</wj-menu>
<wj-menu [(value)]="animationMode" header="Animation mode"
(itemClicked)="animationModeChanged()">
<wj-menu-item value="Point">Point</wj-menu-item>
<wj-menu-item value="Series">Series</wj-menu-item>
<wj-menu-item value="All">All</wj-menu-item>
</wj-menu>
<wj-menu [(value)]="easing" header="Easing">
<wj-menu-item value="Linear">Linear</wj-menu-item>
<wj-menu-item value="Swing">Swing</wj-menu-item>
<wj-menu-item value="EaseInQuad">EaseInQuad</wj-menu-item>
<wj-menu-item value="EaseOutQuad">EaseOutQuad</wj-menu-item>
<wj-menu-item value="EaseInOutQuad">EaseInOutQuad</wj-menu-item>
<wj-menu-item value="EaseInCubic">EaseInCubic</wj-menu-item>
<wj-menu-item value="EaseOutCubic">EaseOutCubic</wj-menu-item>
<wj-menu-item value="EaseInOutCubic">EaseInOutCubic</wj-menu-item>
<wj-menu-item value="EaseInQuart">EaseInQuart</wj-menu-item>
<wj-menu-item value="EaseOutQuart">EaseOutQuart</wj-menu-item>
<wj-menu-item value="EaseInOutQuart">EaseInOutQuart</wj-menu-item>
<wj-menu-item value="EaseInQuint">EaseInQuint</wj-menu-item>
<wj-menu-item value="EaseOutQuint">EaseOutQuint</wj-menu-item>
<wj-menu-item value="EaseInOutQuint">EaseInOutQuint</wj-menu-item>
<wj-menu-item value="EaseInSine">EaseInSine</wj-menu-item>
<wj-menu-item value="EaseOutSine">EaseOutSine</wj-menu-item>
<wj-menu-item value="EaseInOutSine">EaseInOutSine</wj-menu-item>
<wj-menu-item value="EaseInExpo">EaseInExpo</wj-menu-item>
<wj-menu-item value="EaseOutExpo">EaseOutExpo</wj-menu-item>
<wj-menu-item value="EaseInOutExpo">EaseInOutExpo</wj-menu-item>
<wj-menu-item value="EaseInCirc">EaseInCirc</wj-menu-item>
<wj-menu-item value="EaseOutCirc">EaseOutCirc</wj-menu-item>
<wj-menu-item value="EaseInOutCirc">EaseInOutCirc</wj-menu-item>
<wj-menu-item value="EaseInBack">EaseInBack</wj-menu-item>
<wj-menu-item value="EaseOutBack">EaseOutBack</wj-menu-item>
<wj-menu-item value="EaseInOutBack">EaseInOutBack</wj-menu-item>
<wj-menu-item value="EaseInBounce">EaseInBounce</wj-menu-item>
<wj-menu-item value="EaseOutBounce">EaseOutBounce</wj-menu-item>
<wj-menu-item value="EaseInOutBounce">EaseInOutBounce</wj-menu-item>
<wj-menu-item value="EaseInElastic">EaseInElastic</wj-menu-item>
<wj-menu-item value="EaseOutElastic">EaseOutElastic</wj-menu-item>
<wj-menu-item value="EaseInOutElastic">EaseInOutElastic</wj-menu-item>
</wj-menu>
<label>Duration</label>
<wj-input-number #inputDuration (valueChanged)="valueChanged(inputDuration)" [value]="400" [min]="200" [max]="5000" [step]="200" format="n0">
</wj-input-number>
</div>
</div>
<div class="row">
<div class="col-sm-12 col-xs-12 flexchart">
<button id="chartResetData" type="button" class="btn btn-default" (click)="resetChartData()">reset data</button>
<wj-menu #add header="Add" (itemClicked)="itemAdd(add)">
<wj-menu-item>Add Series</wj-menu-item>
<wj-menu-item>Add First Point</wj-menu-item>
<wj-menu-item>Add Last Point</wj-menu-item>
</wj-menu>
<wj-menu #remove header="Remove" (itemClicked)="itemRemove(remove)">
<wj-menu-item>Remove Series</wj-menu-item>
<wj-menu-item>Remove First Point</wj-menu-item>
<wj-menu-item>Remove Last Point</wj-menu-item>
</wj-menu>
</div>
</div>
</div>
<wj-flex-chart #flexChart
[itemsSource]="data"
[legendToggle]="true"
[chartType]="chartType"
bindingX="x">
<wj-flex-chart-series binding="y0" name="Y1"></wj-flex-chart-series>
<wj-flex-chart-series binding="y1" name="Y2"></wj-flex-chart-series>
<wj-flex-chart-series binding="y2" name="Y3"></wj-flex-chart-series>
<wj-flex-chart-animation #animation [easing]="easing" [duration]="duration"></wj-flex-chart-animation>
</wj-flex-chart>
</div>
</div>
<div id="theChart"></div>
import { Injectable } from '@angular/core';
import * as core from '@mescius/wijmo';
//
@Injectable()
export class DataService {
getData(numCount: number) {
var data = new core.ObservableArray();
//
for (var i = 0; i < numCount; i++) {
data.push(this.getRandomData('random' + this.getRandomValue(1000)));
}
return data;
}
//
getRandomData(idx: number | string) {
return {
//x: getRandomValue(100),
x: idx,
y0: this.getRandomValue(200),
y1: this.getRandomValue(400),
y2: this.getRandomValue(600),
y3: this.getRandomValue(800),
y4: this.getRandomValue(1000)
}
}
//
getRandomValue(max: number) {
return Math.round(Math.random() * max);
}
}
body {
margin-bottom: 24px;
}
label {
margin-right: 3px;
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: 'node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm'
},
},
paths: {
// paths serve as alias
'npm:': ''
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js',
'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js',
"rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js",
'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.angular2.chart.analytics": "npm:@mescius/wijmo.angular2.chart.analytics/index.js",
"@mescius/wijmo.angular2.chart.animation": "npm:@mescius/wijmo.angular2.chart.animation/index.js",
"@mescius/wijmo.angular2.chart.annotation": "npm:@mescius/wijmo.angular2.chart.annotation/index.js",
"@mescius/wijmo.angular2.chart.finance.analytics": "npm:@mescius/wijmo.angular2.chart.finance.analytics/index.js",
"@mescius/wijmo.angular2.chart.finance": "npm:@mescius/wijmo.angular2.chart.finance/index.js",
"@mescius/wijmo.angular2.chart.hierarchical": "npm:@mescius/wijmo.angular2.chart.hierarchical/index.js",
"@mescius/wijmo.angular2.chart.interaction": "npm:@mescius/wijmo.angular2.chart.interaction/index.js",
"@mescius/wijmo.angular2.chart.radar": "npm:@mescius/wijmo.angular2.chart.radar/index.js",
'@mescius/wijmo.angular2.chart.map': 'npm:@mescius/wijmo.angular2.chart.map/index.js',
"@mescius/wijmo.angular2.chart": "npm:@mescius/wijmo.angular2.chart/index.js",
"@mescius/wijmo.angular2.core": "npm:@mescius/wijmo.angular2.core/index.js",
"@mescius/wijmo.angular2.gauge": "npm:@mescius/wijmo.angular2.gauge/index.js",
"@mescius/wijmo.angular2.grid.detail": "npm:@mescius/wijmo.angular2.grid.detail/index.js",
"@mescius/wijmo.angular2.grid.filter": "npm:@mescius/wijmo.angular2.grid.filter/index.js",
"@mescius/wijmo.angular2.grid.grouppanel": "npm:@mescius/wijmo.angular2.grid.grouppanel/index.js",
"@mescius/wijmo.angular2.grid.search": "npm:@mescius/wijmo.angular2.grid.search/index.js",
"@mescius/wijmo.angular2.grid.multirow": "npm:@mescius/wijmo.angular2.grid.multirow/index.js",
"@mescius/wijmo.angular2.grid.sheet": "npm:@mescius/wijmo.angular2.grid.sheet/index.js",
'@mescius/wijmo.angular2.grid.transposed': 'npm:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'npm:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
"@mescius/wijmo.angular2.grid": "npm:@mescius/wijmo.angular2.grid/index.js",
"@mescius/wijmo.angular2.input": "npm:@mescius/wijmo.angular2.input/index.js",
"@mescius/wijmo.angular2.olap": "npm:@mescius/wijmo.angular2.olap/index.js",
"@mescius/wijmo.angular2.viewer": "npm:@mescius/wijmo.angular2.viewer/index.js",
"@mescius/wijmo.angular2.nav": "npm:@mescius/wijmo.angular2.nav/index.js",
"@mescius/wijmo.angular2.directivebase": "npm:@mescius/wijmo.angular2.directivebase/index.js",
'@mescius/wijmo.angular2.barcode.common': 'npm:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'npm:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'npm:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js',
'@angular/core': 'npm:@angular/core/fesm2022/core.mjs',
'@angular/core/primitives/di': 'npm:@angular/core/fesm2022/primitives/di.mjs',
'@angular/core/primitives/signals': 'npm:@angular/core/fesm2022/primitives/signals.mjs',
'@angular/core/primitives/event-dispatch': 'npm:@angular/core/fesm2022/primitives/event-dispatch.mjs',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/http': 'npm:@angular/http/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);

<template>
<div class="container-fluid">
<div class="form-group">
<div class="container-fluid well">
<div class="row">
<div class="col-sm-12 col-xs-12">
<wj-menu :value="chartType" :header="'Chart type'" :itemClicked="selectedTypeChanged">
<wj-menu-item value="Bar">Bar</wj-menu-item>
<wj-menu-item value="Column">Column</wj-menu-item>
<wj-menu-item value="Area">Area</wj-menu-item>
<wj-menu-item value="Line">Line</wj-menu-item>
<wj-menu-item value="LineSymbols">LineSymbols</wj-menu-item>
<wj-menu-item value="Spline">Spline</wj-menu-item>
<wj-menu-item value="SplineSymbols">SplineSymbols</wj-menu-item>
<wj-menu-item value="SplineArea">SplineArea</wj-menu-item>
<wj-menu-item value="Scatter">Scatter</wj-menu-item>
</wj-menu>
<wj-menu :value="animationMode" :header="'Animation mode'" :itemClicked="animationModeChanged">
<wj-menu-item value="Point">Point</wj-menu-item>
<wj-menu-item value="Series">Series</wj-menu-item>
<wj-menu-item value="All">All</wj-menu-item>
</wj-menu>
<wj-menu :value="easing" :header="'Easing'" :itemClicked="selectedEasingChanged">
<wj-menu-item value="Linear">Linear</wj-menu-item>
<wj-menu-item value="Swing">Swing</wj-menu-item>
<wj-menu-item value="EaseInQuad">EaseInQuad</wj-menu-item>
<wj-menu-item value="EaseOutQuad">EaseOutQuad</wj-menu-item>
<wj-menu-item value="EaseInOutQuad">EaseInOutQuad</wj-menu-item>
<wj-menu-item value="EaseInCubic">EaseInCubic</wj-menu-item>
<wj-menu-item value="EaseOutCubic">EaseOutCubic</wj-menu-item>
<wj-menu-item value="EaseInOutCubic">EaseInOutCubic</wj-menu-item>
<wj-menu-item value="EaseInQuart">EaseInQuart</wj-menu-item>
<wj-menu-item value="EaseOutQuart">EaseOutQuart</wj-menu-item>
<wj-menu-item value="EaseInOutQuart">EaseInOutQuart</wj-menu-item>
<wj-menu-item value="EaseInQuint">EaseInQuint</wj-menu-item>
<wj-menu-item value="EaseOutQuint">EaseOutQuint</wj-menu-item>
<wj-menu-item value="EaseInOutQuint">EaseInOutQuint</wj-menu-item>
<wj-menu-item value="EaseInSine">EaseInSine</wj-menu-item>
<wj-menu-item value="EaseOutSine">EaseOutSine</wj-menu-item>
<wj-menu-item value="EaseInOutSine">EaseInOutSine</wj-menu-item>
<wj-menu-item value="EaseInExpo">EaseInExpo</wj-menu-item>
<wj-menu-item value="EaseOutExpo">EaseOutExpo</wj-menu-item>
<wj-menu-item value="EaseInOutExpo">EaseInOutExpo</wj-menu-item>
<wj-menu-item value="EaseInCirc">EaseInCirc</wj-menu-item>
<wj-menu-item value="EaseOutCirc">EaseOutCirc</wj-menu-item>
<wj-menu-item value="EaseInOutCirc">EaseInOutCirc</wj-menu-item>
<wj-menu-item value="EaseInBack">EaseInBack</wj-menu-item>
<wj-menu-item value="EaseOutBack">EaseOutBack</wj-menu-item>
<wj-menu-item value="EaseInOutBack">EaseInOutBack</wj-menu-item>
<wj-menu-item value="EaseInBounce">EaseInBounce</wj-menu-item>
<wj-menu-item value="EaseOutBounce">EaseOutBounce</wj-menu-item>
<wj-menu-item value="EaseInOutBounce">EaseInOutBounce</wj-menu-item>
<wj-menu-item value="EaseInElastic">EaseInElastic</wj-menu-item>
<wj-menu-item value="EaseOutElastic">EaseOutElastic</wj-menu-item>
<wj-menu-item value="EaseInOutElastic">EaseInOutElastic</wj-menu-item>
</wj-menu>
<label>Duration</label>
<wj-input-number :valueChanged="valueChanged" :value=400 :min=200 :max=5000 :step=200
format="n0">
</wj-input-number>
</div>
</div>
<div class="row">
<div class="col-sm-12 col-xs-12 flexchart">
<button id="chartResetData" type="button" class="btn btn-default"
v-on:click="resetChartData">reset data</button>
<wj-menu header="Add" :itemClicked="itemAdd">
<wj-menu-item>Add Series</wj-menu-item>
<wj-menu-item>Add First Point</wj-menu-item>
<wj-menu-item>Add Last Point</wj-menu-item>
</wj-menu>
<wj-menu header="Remove" :itemClicked="itemRemove">
<wj-menu-item>Remove Series</wj-menu-item>
<wj-menu-item>Remove First Point</wj-menu-item>
<wj-menu-item>Remove Last Point</wj-menu-item>
</wj-menu>
</div>
</div>
</div>
<wj-flex-chart :itemsSource="data" :legendToggle="true" :chartType="chartType" bindingX="x"
:initialized="initializeChart">
<wj-flex-chart-series binding="y0" name="Y1"></wj-flex-chart-series>
<wj-flex-chart-series binding="y1" name="Y2"></wj-flex-chart-series>
<wj-flex-chart-series binding="y2" name="Y3"></wj-flex-chart-series>
<wj-flex-chart-animation :initialized="initializeAnimation" :easing="easing"
:duration="duration"></wj-flex-chart-animation>
</wj-flex-chart>
</div>
</div>
</template>
<script setup>
import { getData, getRandomData, getRandomValue } from "./data";
import * as wjInput from "@mescius/wijmo.input";
import * as wjChart from "@mescius/wijmo.chart";
import * as wjChartAnimation from "@mescius/wijmo.chart.animation";
import { ref } from "vue";
const data = ref(null);
const flexChartPoints = ref(10);
const duration = ref(400);
const chartType = ref("Line");
const easing = ref("Swing");
const animationMode = ref("All");
const flexChart = ref(null);
const chartAnimation = ref(null);
function initializeChart(chart) {
flexChart.value = chart;
_setDataSource();
}
function initializeAnimation(animation) {
chartAnimation.value = animation;
}
function _setDataSource() {
data.value = getData(flexChartPoints.value);
}
function resetChartData() {
_setDataSource();
}
function selectedTypeChanged(e) {
if (e.selectedValue) {
chartType.value = e.selectedValue;
}
}
function selectedEasingChanged(e) {
if (e.selectedValue) {
easing.value = e.selectedValue;
}
}
function itemAdd(args) {
var idx = args.selectedIndex;
if (idx > -1) {
func("add", idx);
}
}
function itemRemove(args) {
var idx = args.selectedIndex;
if (idx > -1) {
func("remove", idx);
}
}
function func(oper, idx) {
if (oper === "add") {
switch (idx) {
case 0:
addChartSeries();
break;
case 1:
addChartSeriesFirstPoint();
break;
case 2:
addChartSeriesLastPoint();
break;
}
} else if (oper === "remove") {
switch (idx) {
case 0:
removeChartSeries();
break;
case 1:
removeChartSeriesFirstPoint();
break;
case 2:
removeChartSeriesLastPoint();
break;
}
}
}
function addChartSeriesFirstPoint() {
data.value.insert(0, getRandomData("added" + getRandomValue(1000)));
}
function addChartSeriesLastPoint() {
data.value.push(getRandomData("added" + getRandomValue(1000)));
}
function removeChartSeriesFirstPoint() {
if (data.value.length) {
data.value.removeAt(0);
}
}
function removeChartSeriesLastPoint() {
if (data.value.length) {
data.value.pop();
}
}
function valueChanged(sender) {
if (sender.value < sender.min || sender.value > sender.max) {
return;
}
if (chartAnimation.value) {
chartAnimation.value.duration = sender.value;
}
}
function addChartSeries() {
var chart = flexChart.value,
len = chart.series.length;
if (len >= 5) {
return;
}
var series = new wjChart.Series();
series.binding = "y" + len;
series.name = "Y" + (chart.series.length + 1);
chart.series.push(series);
}
function removeChartSeries() {
var chart = flexChart.value;
if (chart.series.length <= 0) {
return;
}
chart.series.pop();
}
function animationModeChanged(e) {
animationMode.value = e.selectedValue;
chartAnimation.value.animationMode = animationMode.value;
flexChart.value.refresh(true);
}
</script>
<style>
.wj-flexchart {
height: 300px;
}
.wj-data-label {
font-size: 75%;
opacity: .9;
}
label {
width: 150px;
text-align: right;
}
.wj-control {
margin-bottom: 3px;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexChart Animation</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app">
</div>
</body>
</html>
import * as core from '@mescius/wijmo';
export function getData(numCount) {
var data = new core.ObservableArray();
//
for (var i = 0; i < numCount; i++) {
data.push(getRandomData('random' + getRandomValue(1000)));
}
return data;
}
//
export function getRandomData(idx) {
return {
//x: getRandomValue(100),
x: idx,
y0: getRandomValue(200),
y1: getRandomValue(400),
y2: getRandomValue(600),
y3: getRandomValue(800),
y4: getRandomValue(1000)
}
}
//
export function getRandomValue(max) {
return Math.round(Math.random() * max);
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' }
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.vue2.chart.analytics": "npm:@mescius/wijmo.vue2.chart.analytics/index.js",
"@mescius/wijmo.vue2.chart.animation": "npm:@mescius/wijmo.vue2.chart.animation/index.js",
"@mescius/wijmo.vue2.chart.annotation": "npm:@mescius/wijmo.vue2.chart.annotation/index.js",
"@mescius/wijmo.vue2.chart.finance.analytics": "npm:@mescius/wijmo.vue2.chart.finance.analytics/index.js",
"@mescius/wijmo.vue2.chart.finance": "npm:@mescius/wijmo.vue2.chart.finance/index.js",
"@mescius/wijmo.vue2.chart.hierarchical": "npm:@mescius/wijmo.vue2.chart.hierarchical/index.js",
"@mescius/wijmo.vue2.chart.interaction": "npm:@mescius/wijmo.vue2.chart.interaction/index.js",
"@mescius/wijmo.vue2.chart.radar": "npm:@mescius/wijmo.vue2.chart.radar/index.js",
'@mescius/wijmo.vue2.chart.map': 'npm:@mescius/wijmo.vue2.chart.map/index.js',
"@mescius/wijmo.vue2.chart": "npm:@mescius/wijmo.vue2.chart/index.js",
"@mescius/wijmo.vue2.core": "npm:@mescius/wijmo.vue2.core/index.js",
"@mescius/wijmo.vue2.gauge": "npm:@mescius/wijmo.vue2.gauge/index.js",
"@mescius/wijmo.vue2.grid.detail": "npm:@mescius/wijmo.vue2.grid.detail/index.js",
"@mescius/wijmo.vue2.grid.filter": "npm:@mescius/wijmo.vue2.grid.filter/index.js",
"@mescius/wijmo.vue2.grid.grouppanel": "npm:@mescius/wijmo.vue2.grid.grouppanel/index.js",
'@mescius/wijmo.vue2.grid.search': 'npm:@mescius/wijmo.vue2.grid.search/index.js',
"@mescius/wijmo.vue2.grid.multirow": "npm:@mescius/wijmo.vue2.grid.multirow/index.js",
"@mescius/wijmo.vue2.grid.sheet": "npm:@mescius/wijmo.vue2.grid.sheet/index.js",
'@mescius/wijmo.vue2.grid.transposed': 'npm:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'npm:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
"@mescius/wijmo.vue2.grid": "npm:@mescius/wijmo.vue2.grid/index.js",
"@mescius/wijmo.vue2.input": "npm:@mescius/wijmo.vue2.input/index.js",
"@mescius/wijmo.vue2.olap": "npm:@mescius/wijmo.vue2.olap/index.js",
"@mescius/wijmo.vue2.viewer": "npm:@mescius/wijmo.vue2.viewer/index.js",
"@mescius/wijmo.vue2.nav": "npm:@mescius/wijmo.vue2.nav/index.js",
"@mescius/wijmo.vue2.base": "npm:@mescius/wijmo.vue2.base/index.js",
'@mescius/wijmo.vue2.barcode.common': 'npm:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'npm:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'npm:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
//'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React, { useRef, useState } from 'react';
import useEvent from 'react-use-event-hook';
import * as wjChart from '@mescius/wijmo.chart';
import * as Input from '@mescius/wijmo.react.input';
import * as Chart from '@mescius/wijmo.react.chart';
import * as ChartAnimation from '@mescius/wijmo.react.chart.animation';
import './app.css';
import { getData, getRandomData, getRandomValue } from './data';
function App() {
const [flexChartPoints, setFlexChartPoints] = useState(10);
const [duration, setDuration] = useState(400);
const [chartType, setChartType] = useState("Line");
const [data, setData] = useState([]);
const [easing, setEasing] = useState('Swing');
const [animationMode, setAnimationMode] = useState('All');
const flexChartRef = useRef(null);
const chartAnimationRef = useRef(null);
const initializeChart = (chart) => {
flexChartRef.current = chart;
setDataSource();
};
const initializeAnimation = (animation) => {
chartAnimationRef.current = animation;
};
const setDataSource = () => {
setData(getData(flexChartPoints));
};
const resetChartData = () => {
setDataSource();
};
const selectedTypeChanged = (e) => {
console.log("selectedTypeIndexChanged " + e.selectedValue);
if (e.selectedValue) {
setChartType(e.selectedValue);
}
};
const selectedEasingChanged = (e) => {
if (e.selectedValue) {
setEasing(e.selectedValue);
}
};
const itemAdd = useEvent((args) => {
var idx = args.selectedIndex;
if (idx > -1) {
func('add', idx);
}
});
const itemRemove = useEvent((args) => {
var idx = args.selectedIndex;
if (idx > -1) {
func('remove', idx);
}
});
const func = (oper, idx) => {
if (oper === 'add') {
if (idx === 1) {
addChartSeriesFirstPoint();
}
else if (idx === 2) {
addChartSeriesLastPoint();
}
else {
addChartSeries();
}
}
else if (oper === 'remove') {
if (idx === 1) {
removeChartSeriesFirstPoint();
}
else if (idx === 2) {
removeChartSeriesLastPoint();
}
else {
removeChartSeries();
}
}
};
const addChartSeriesFirstPoint = () => {
data.unshift(getRandomData('added' + getRandomValue(1000)));
setData([...data]);
};
const addChartSeriesLastPoint = () => {
data.push(getRandomData('added' + getRandomValue(1000)));
setData([...data]);
};
const removeChartSeriesFirstPoint = () => {
if (data.length) {
data.shift();
setData([...data]);
}
};
const removeChartSeriesLastPoint = () => {
if (data.length) {
data.pop();
setData([...data]);
}
};
const valueChanged = (sender) => {
if (sender.value < sender.min || sender.value > sender.max) {
return;
}
//duration = sender.value;
if (chartAnimationRef.current) {
chartAnimationRef.current.duration = sender.value;
setDuration(sender.value);
}
};
const addChartSeries = () => {
var chart = flexChartRef.current, len = chart.series.length;
if (len >= 5) {
return;
}
var series = new wjChart.Series();
series.binding = 'y' + len;
series.name = 'Y' + (chart.series.length + 1);
chart.series.push(series);
};
const removeChartSeries = () => {
var chart = flexChartRef.current;
if (chart.series.length <= 0) {
return;
}
chart.series.pop();
};
const animationModeChanged = (e) => {
if (e.selectedValue) {
setAnimationMode(e.selectedValue);
}
if (chartAnimationRef.current) {
chartAnimationRef.current.animationMode = animationMode;
flexChartRef.current.refresh(true);
}
};
return (<div className="container">
<div className="form-group">
<div className="container-fluid well">
<div className="row">
<Input.Menu value={chartType} header="Chart type" itemClicked={selectedTypeChanged}>
<Input.MenuItem value="Bar">Bar</Input.MenuItem>
<Input.MenuItem value="Column">Column</Input.MenuItem>
<Input.MenuItem value="Area">Area</Input.MenuItem>
<Input.MenuItem value="Line">Line</Input.MenuItem>
<Input.MenuItem value="LineSymbols">LineSymbols</Input.MenuItem>
<Input.MenuItem value="Spline">Spline</Input.MenuItem>
<Input.MenuItem value="SplineSymbols">SplineSymbols</Input.MenuItem>
<Input.MenuItem value="SplineArea">SplineArea</Input.MenuItem>
<Input.MenuItem value="Scatter">Scatter</Input.MenuItem>
</Input.Menu>
<Input.Menu value={animationMode} header="Animation mode" itemClicked={animationModeChanged}>
<Input.MenuItem value="Point">Point</Input.MenuItem>
<Input.MenuItem value="Series">Series</Input.MenuItem>
<Input.MenuItem value="All">All</Input.MenuItem>
</Input.Menu>
<Input.Menu value={easing} header="Easing" itemClicked={selectedEasingChanged}>
<Input.MenuItem value="Linear">Linear</Input.MenuItem>
<Input.MenuItem value="Swing">Swing</Input.MenuItem>
<Input.MenuItem value="EaseInQuad">EaseInQuad</Input.MenuItem>
<Input.MenuItem value="EaseOutQuad">EaseOutQuad</Input.MenuItem>
<Input.MenuItem value="EaseInOutQuad">EaseInOutQuad</Input.MenuItem>
<Input.MenuItem value="EaseInCubic">EaseInCubic</Input.MenuItem>
<Input.MenuItem value="EaseOutCubic">EaseOutCubic</Input.MenuItem>
<Input.MenuItem value="EaseInOutCubic">EaseInOutCubic</Input.MenuItem>
<Input.MenuItem value="EaseInQuart">EaseInQuart</Input.MenuItem>
<Input.MenuItem value="EaseOutQuart">EaseOutQuart</Input.MenuItem>
<Input.MenuItem value="EaseInOutQuart">EaseInOutQuart</Input.MenuItem>
<Input.MenuItem value="EaseInQuint">EaseInQuint</Input.MenuItem>
<Input.MenuItem value="EaseOutQuint">EaseOutQuint</Input.MenuItem>
<Input.MenuItem value="EaseInOutQuint">EaseInOutQuint</Input.MenuItem>
<Input.MenuItem value="EaseInSine">EaseInSine</Input.MenuItem>
<Input.MenuItem value="EaseOutSine">EaseOutSine</Input.MenuItem>
<Input.MenuItem value="EaseInOutSine">EaseInOutSine</Input.MenuItem>
<Input.MenuItem value="EaseInExpo">EaseInExpo</Input.MenuItem>
<Input.MenuItem value="EaseOutExpo">EaseOutExpo</Input.MenuItem>
<Input.MenuItem value="EaseInOutExpo">EaseInOutExpo</Input.MenuItem>
<Input.MenuItem value="EaseInCirc">EaseInCirc</Input.MenuItem>
<Input.MenuItem value="EaseOutCirc">EaseOutCirc</Input.MenuItem>
<Input.MenuItem value="EaseInOutCirc">EaseInOutCirc</Input.MenuItem>
<Input.MenuItem value="EaseInBack">EaseInBack</Input.MenuItem>
<Input.MenuItem value="EaseOutBack">EaseOutBack</Input.MenuItem>
<Input.MenuItem value="EaseInOutBack">EaseInOutBack</Input.MenuItem>
<Input.MenuItem value="EaseInBounce">EaseInBounce</Input.MenuItem>
<Input.MenuItem value="EaseOutBounce">EaseOutBounce</Input.MenuItem>
<Input.MenuItem value="EaseInOutBounce">EaseInOutBounce</Input.MenuItem>
<Input.MenuItem value="EaseInElastic">EaseInElastic</Input.MenuItem>
<Input.MenuItem value="EaseOutElastic">EaseOutElastic</Input.MenuItem>
<Input.MenuItem value="EaseInOutElastic">EaseInOutElastic</Input.MenuItem>
</Input.Menu>
<span> Duration </span>
<Input.InputNumber valueChanged={valueChanged} value={duration} min={200} max={5000} step={200} format="n0">
</Input.InputNumber>
</div>
<div className="row">
<button id="chartResetData" onClick={resetChartData} type="button" className="btn btn-default">
reset data
</button>
<Input.Menu header="Add" itemClicked={itemAdd}>
<Input.MenuItem>Add Series</Input.MenuItem>
<Input.MenuItem>Add First Point</Input.MenuItem>
<Input.MenuItem>Add Last Point</Input.MenuItem>
</Input.Menu>
<Input.Menu header="Remove" itemClicked={itemRemove}>
<Input.MenuItem>Remove Series</Input.MenuItem>
<Input.MenuItem>Remove First Point</Input.MenuItem>
<Input.MenuItem>Remove Last Point</Input.MenuItem>
</Input.Menu>
</div>
</div>
</div>
<Chart.FlexChart itemsSource={data} legendToggle={true} chartType={chartType} bindingX="x" initialized={initializeChart}>
<Chart.FlexChartSeries binding="y0" name="Y1"/>
<Chart.FlexChartSeries binding="y1" name="Y2"/>
<Chart.FlexChartSeries binding="y2" name="Y3"/>
<ChartAnimation.FlexChartAnimation initialized={initializeAnimation} easing={easing} duration={duration}/>
</Chart.FlexChart>
</div>);
}
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Wijmo FlexChart Animation</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.40/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.wj-flexgrid {
height: 150px;
margin-top: 10px;
}
.wj-flexchart {
height: 300px;
}
.wj-data-label {
font-size: 75%;
opacity: .9;
}
label {
width: 150px;
text-align: right;
}
.wj-control {
margin-bottom: 3px;
}
import * as core from '@mescius/wijmo';
export function getData(numCount) {
var data = new core.ObservableArray();
//
for (var i = 0; i < numCount; i++) {
data.push(getRandomData('random' + getRandomValue(1000)));
}
return data;
}
//
export function getRandomData(idx) {
return {
//x: getRandomValue(100),
x: idx,
y0: getRandomValue(200),
y1: getRandomValue(400),
y2: getRandomValue(600),
y3: getRandomValue(800),
y4: getRandomValue(1000)
};
}
//
export function getRandomValue(max) {
return Math.round(Math.random() * max);
}
(function (global) {
window.process = {
env: {
NODE_ENV: "production"
}
}
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.grid.immutable': 'npm:@mescius/wijmo.grid.immutable/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.react.chart.analytics": "npm:@mescius/wijmo.react.chart.analytics/index.js",
"@mescius/wijmo.react.chart.animation": "npm:@mescius/wijmo.react.chart.animation/index.js",
"@mescius/wijmo.react.chart.annotation": "npm:@mescius/wijmo.react.chart.annotation/index.js",
"@mescius/wijmo.react.chart.finance.analytics": "npm:@mescius/wijmo.react.chart.finance.analytics/index.js",
"@mescius/wijmo.react.chart.finance": "npm:@mescius/wijmo.react.chart.finance/index.js",
"@mescius/wijmo.react.chart.hierarchical": "npm:@mescius/wijmo.react.chart.hierarchical/index.js",
"@mescius/wijmo.react.chart.interaction": "npm:@mescius/wijmo.react.chart.interaction/index.js",
"@mescius/wijmo.react.chart.radar": "npm:@mescius/wijmo.react.chart.radar/index.js",
"@mescius/wijmo.react.chart": "npm:@mescius/wijmo.react.chart/index.js",
"@mescius/wijmo.react.core": "npm:@mescius/wijmo.react.core/index.js",
'@mescius/wijmo.react.chart.map': 'npm:@mescius/wijmo.react.chart.map/index.js',
"@mescius/wijmo.react.gauge": "npm:@mescius/wijmo.react.gauge/index.js",
"@mescius/wijmo.react.grid.detail": "npm:@mescius/wijmo.react.grid.detail/index.js",
"@mescius/wijmo.react.grid.filter": "npm:@mescius/wijmo.react.grid.filter/index.js",
"@mescius/wijmo.react.grid.grouppanel": "npm:@mescius/wijmo.react.grid.grouppanel/index.js",
'@mescius/wijmo.react.grid.search': 'npm:@mescius/wijmo.react.grid.search/index.js',
"@mescius/wijmo.react.grid.multirow": "npm:@mescius/wijmo.react.grid.multirow/index.js",
"@mescius/wijmo.react.grid.sheet": "npm:@mescius/wijmo.react.grid.sheet/index.js",
'@mescius/wijmo.react.grid.transposed': 'npm:@mescius/wijmo.react.grid.transposed/index.js',
'@mescius/wijmo.react.grid.transposedmultirow': 'npm:@mescius/wijmo.react.grid.transposedmultirow/index.js',
'@mescius/wijmo.react.grid.immutable': 'npm:@mescius/wijmo.react.grid.immutable/index.js',
"@mescius/wijmo.react.grid": "npm:@mescius/wijmo.react.grid/index.js",
"@mescius/wijmo.react.input": "npm:@mescius/wijmo.react.input/index.js",
"@mescius/wijmo.react.olap": "npm:@mescius/wijmo.react.olap/index.js",
"@mescius/wijmo.react.viewer": "npm:@mescius/wijmo.react.viewer/index.js",
"@mescius/wijmo.react.nav": "npm:@mescius/wijmo.react.nav/index.js",
"@mescius/wijmo.react.base": "npm:@mescius/wijmo.react.base/index.js",
'@mescius/wijmo.react.barcode.common': 'npm:@mescius/wijmo.react.barcode.common/index.js',
'@mescius/wijmo.react.barcode.composite': 'npm:@mescius/wijmo.react.barcode.composite/index.js',
'@mescius/wijmo.react.barcode.specialized': 'npm:@mescius/wijmo.react.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'react': 'npm:react/index.js',
'react-dom': 'npm:react-dom/index.js',
'react-dom/client': 'npm:react-dom/client.js',
"scheduler": "npm:scheduler/index.js",
'redux': 'npm:redux/dist/redux.min.js',
'react-redux': 'npm:react-redux/dist/react-redux.min.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
"react-use-event-hook": "npm:react-use-event-hook/dist/esm/useEvent.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);